.fullscreen-image-display {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 100;
  background-color: #0009;
  animation: fullscreen-image-display-appear 0.5s;
  overflow: hidden;
  transition: 0.5s;
  &.transition-out {
    opacity: 0;
  }
  .fullscreen-image-display-image {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    animation: fullscreen-image-appear 1s;
  }
  .fullscreen-image-display-close-button {
    position: absolute;
    top: 50px;
    right: 50px;
    width: 50px;
    height: 50px;
    background: white;
    box-shadow: 0 10px 10px #0005;
    border: none;
    transition: 0.25s;
    &:hover {
      top: 40px;
      right: 40px;
      width: 70px;
      height: 70px;
      &:before {
        transform: translate(-50%, -50%) rotate(225deg);
      }
      &:after {
        transform: translate(-50%, -50%) rotate(135deg);
      }
    }
    &:active {
      transition: 0s;
      top: 45px;
      right: 45px;
      width: 60px;
      height: 60px;
      &:before,
      &:after {
        transition: 0s;
      }
      &:before {
        transform: translate(-50%, -50%) rotate(200deg);
      }
      &:after {
        transform: translate(-50%, -50%) rotate(160deg);
      }
    }
    &:before,
    &:after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      width: 30px;
      height: 3px;
      background: #2d2d2d;
      transition: 0.25s;
    }
    &:before {
      transform: translate(-50%, -50%) rotate(45deg);
    }
    &:after {
      transform: translate(-50%, -50%) rotate(-45deg);
    }
  }
}

@keyframes fullscreen-image-display-appear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fullscreen-image-appear {
  0% {
    opacity: 0;
    transform: translateY(50px);
  }
  50% {
    opacity: 0;
    transform: translateY(50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
